<?php
//user_fetch.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
    $user_type = $_SESSION['user_type'];
    $user_id = $_SESSION['user_id'];
    $user_name = $_SESSION['user_name'];
    $branch_id = $_SESSION['branch_id'];
    $branch_name = $_SESSION['branch_name'];
    $store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
  header('Location: login');
  die();
}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $return_retail_edit =$statement->fetchColumn();
           
		             
	    	 $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_delete'";
		    $statement = $connect->prepare($sql);
		     $statement->execute(); // no need to add `$sql` here, you can take that out
		     $return_retail_delete =$statement->fetchColumn();
		     	 $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'return_retail_print'";
		    $statement = $connect->prepare($sql);
		     $statement->execute(); // no need to add `$sql` here, you can take that out
		     $return_retail_print =$statement->fetchColumn();
$query = '';
$output = array();
$query .= "
select m.sr_id,m.inv_no,m.dated,m.cust_name,m.description,m.contact,u.user_name,FORMAT(sum(d.qty*d.rate - d.qty*d.dis_rate - d.rate * d.dis_pr / 100 * d.qty)   + sum(d.qty*d.rate - d.qty*d.dis_rate - d.rate * d.dis_pr / 100 * d.qty)  * gst_pr / 100 -m.discount + m.freight,2) as amount from  sr m,sr_detail d,user_detail  u where m.sr_id = d.sr_id and m.user_id=u.user_id and m.inv_of='Retail'  AND
";
if(isset($_POST["search"]["value"]))
{
	$query .= '(user_name LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR m.dated LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR m.contact LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR m.sr_id LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR m.cust_name LIKE "%'.$_POST["search"]["value"].'%")';
	
	
}
if(isset($_POST["order"]))
{
	$query .= 'group by sr_id,inv_no,dated,m.cust_name ORDER BY '.$_POST['order']['0']['column'].' '.$_POST['order']['0']['dir'].' ';
}
else
{
	$query .= 'group by sr_id,inv_no,dated,m.cust_name ORDER BY sr_id DESC ';
}
if($_POST["length"] != -1)
{
	$query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
}
$statement = $connect->prepare($query);
$statement->execute();
$result = $statement->fetchAll();
$data = array();
$filtered_rows = $statement->rowCount();
foreach($result as $row)
{
	$sub_array = array();
	$sub_array[] = $row['sr_id'];
	
	$sub_array[] = $row['dated'];
	$sub_array[] = $row['inv_no'];
	$sub_array[] = $row['cust_name'];
	$sub_array[] = $row['user_name'];
	$sub_array[] = $row['contact'];
	$sub_array[] = $row['amount'];
	
	
	
	 
	 if($return_retail_print=='ON'){
	$sub_array[] = '<a href="sale_invoice_return_a4?print=1&id='.$row["sr_id"].'"><span class="btn btn-success"><i class="fa fa-print"></i></span></a>
	<a href="sale_invoice_return_a5?print=1&id='.$row["sr_id"].'"><span class="btn btn-info"><i class="fa fa-print"></i></span></a>
	
	';
	}
	if($return_retail_edit=='ON'){
	$sub_array[] = '<a style="margin:5px"href="csr_edit.php?edit=1&id='.$row["sr_id"].'"><span class="btn btn-warning"><i class="fa fa-edit"></i></span></a>';
	}
	if($return_retail_delete=='ON'){
	$sub_array[] = '<button type="button" name="delete" id="'.$row["sr_id"].'" class="btn btn-danger btn-xs delete" ><i class="fa fa-remove"></i></button>';
	}
	$data[] = $sub_array;
}
$output = array(
	"draw"				=>	intval($_POST["draw"]),
	"recordsTotal"  	=>  $filtered_rows,
	"recordsFiltered" 	=> 	get_total_all_records($connect),
	"data"    			=> 	$data
);
echo json_encode($output);
function get_total_all_records($connect)
{
	$statement = $connect->prepare("SELECT * FROM sr where inv_of ='Retail'");
	$statement->execute();
	return $statement->rowCount();
}
?>